package cn.iocoder.yudao.module.order.dal.dataobject.orderLocation;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 订单仓位 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_order_location")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OrderLocationDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 库域id
     */
    private Long wareId;


    @TableField(exist = false)
    private String warehouseName;
    /**
     * 库区id
     */
    private Long areaId;


    @TableField(exist = false)
    private String areaName;
    /**
     * 仓位id
     */
    private Long locationId;


    @TableField(exist = false)
    private String locationName;


    /**
     * 订单品项id
     */
    private Long orderItemId;


    /**
     * 入仓id
     */
    private Long warehouseInId;

    /**
     * 最后操作的用户id
     */
    private Long adminId;

}
